TEMPLATE    =  app

CONFIG       = qt thread warn_on release console opengl

LIBS       = /usr/local/lib/vtk/libvtkCommon.so \
             /usr/local/lib/vtk/libvtkFiltering.so \
             /usr/local/lib/vtk/libvtkGraphics.so \
             /usr/local/lib/vtk/libvtkIO.so \
             /usr/local/lib/vtk/libvtkImaging.so \
             /usr/local/lib/vtk/libvtkRendering.so

INCLUDEPATH =  /usr/local/include/vtk

HEADERS     =  ccInteractor.h \
               renderwindowinteractor.h \
               renderwindow.h \
               vtkCatmullClarkFilter.h \
               vtk3DSOurImporter.h

SOURCES     =  ccInteractor.cpp \
               renderwindowinteractor.cpp \
               renderwindow.cpp \
               vtkCatmullClarkFilter.cpp \
               vtk3DSOurImporter.cpp

TARGET       = ccInteractor

DEFINES      = VTKNODLL

# enable this, if you want the double buffering of qt instead
# of vtk
# DEFINES      += QT_DOUBLEBUFFER

